/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service1
 * reference gets called when service1 operation1 is invoked
 * @author Bryan Aupperle
 *
 */

#include "Service9Impl.h"
#include "RefCountingPointer.h"
#include "ComponentContext.h"
#include "SDO.h"
using namespace oasis::sca;

// Construction/Destruction

Service9Impl::Service9Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	
	return;
}


Service9Impl::~Service9Impl()
{
	return; 
}

// Implementation

std::string Service9Impl::operation1(const std::string input) {
	std::string callbackResult;

	ComponentContextPtr context = ComponentContext::getCurrent();
	ServiceReferencePtr serviceRef = context->getSelfReference();
	ServiceProxyPtr callback = serviceRef->getCallback();
	callback1 = dynamicCast<Service9CallbackProxy>(callback);

	if (callback1)
		callbackResult = callback1->callback1(input);
		
	return serviceName + " operation1 invoked" + " " + callbackResult;
}
