/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_12008_TestCase
 * Tests that where a contribution contains an <import/> declaration which refers to the namespace 
 * of a referenced artifact and where the artifact is present in a second contribution which exports 
 * the namespace, that the artifact is resolved in the second contribution even though a copy of the 
 * artifact exists in the original contribution
 */
public class ASM_12008_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 			= "exception"; //config.testName + " " + config.input + " service1 operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	// 2 contributions - with one artifact imported by the first one existing as conflicting versions
    	// one in the first contribution and one in the second contribution
    	config.contributionNames	= new String[] { "ASM_12008", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12008
