/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_5012_TestCase, which tests that the the multiplicity 
 * of a <reference/> element of a <component/> can be any one of 0..1, 
 * 1..1, 0..n, 1..n where the multiplicity of the equivalent <reference/> 
 * element in the <componentType/> of the <implementation/> of the 
 * <component/> is 0..n
 */
public class ASM_5012_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "ASM_5012 request service1 operation1 invoked service2 operation1 invoked" +
    	                          " service3 operation1 invoked service4 operation1 invoked service5 operation1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5012
