/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_5016_TestCase, which tests that the interface declared 
 * by the <interface/> child element of a <reference/> of a <component/> 
 * is a compatible superset of the interface declared on the corresponding 
 * <reference/> of the componentType of the <implementation/> of the <component/> 
 */
public class ASM_5016_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_5016";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_5016 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		= "Test_ASM_5016.composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5016
