/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_6010_TestCase, which tests a <component/> <reference/> 
 * with @multiplicity=0..n can be promoted by a <composite/> <reference/> 
 * with @multiplicity=0..1  
 */
public class ASM_6010_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6010";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6010 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		= "Test_ASM_6010.composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6010
