/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_6015_TestCase, which tests that a <component/> <reference/> 
 * with @autowire=true and with some intents attached using its @requires attribute 
 * is wired to a compatible <component/> <service/> in the same <composite/>, where 
 * that <service/> has the same intents attached using its @requires attribute.
 */
public class ASM_6015_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6015";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6015 request service1 operation1 invoked third operation1 invoked";
    	config.composite 		= "Test_ASM_6015.composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6015
