/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_6019_TestCase, which tests that a <component/> <reference/> 
 * with @autowire=true and @multiplicity="0..n" runs successfully when there 
 * are no compatible <component/> <service/>s in the same <composite/>  
 */
public class ASM_6019_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6019";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6019 request service1 operation1 invoked";
    	config.composite 		= "Test_ASM_6019.composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6019
