/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_8015_TestCase
 * Tests that when an <interface.wsdl/> element is used to declare an interface, 
 * that the @interface attribute of the element references a WSDL 1.1 portType
 */
public class ASM_8015_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + 
    	                          " service1 operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_8015
