/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_9004_TestCase
 * Tests that if a <binding/> element of a <reference/> element is wired to a <service/> element 
 * which has multiple <binding/> subelements, each with a @name attribute set, that the @target 
 * attribute of the <reference/> uses the form "componentName/serviceName/bindingName" to select one 
 * specific binding for the wire
 */
public class ASM_9999_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + 
    							  " service1 operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "ASM_9999", "ASM_8003", "General", "General_Java" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
    public String invokeTest( String input ) throws Exception {
    	
    	System.out.println("Pausing - hit any key to continue");
    	System.in.read();
    	
    	return super.invokeTest(input);
    } // end invokeTest
    
    
} // end class Test_ASM_9004
