/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */

package client;

/**
 * The Runtime Bridge interface which must be implemented by the runtime bridge class which
 * connects to a given SCA runtime
 * @author Kelvin Goodson
 *
 */
public interface RuntimeBridge {

	/**
	 * Sets the Test configuration for a particular test run
	 * @param testConfiguration
	 */
	public void setTestConfiguration(TestConfiguration testConfiguration);

	/**
	 * Start the contribution(s) which represent the application under test in the SCA runtime
	 * @param contributionURIs - an array of contribution URIs as strings
	 * @return true if the contributions were loaded and started in the SCA runtime, false otherwise
	 */
	boolean startContribution(String[] contributionURIs) throws Exception;

	/**
	 * Stop the contribution(s)
	 */
	void stopContribution();

	String getContributionLocation(Class<?> testClass);
	
} // end interface RuntimeBridge
